<template>
  <div>
    <!-- Data with ref and reactive -->
    <h1>Data with ref and reactive</h1>
    <DataComponent />

    <!-- Reactivity and toRefs -->
    <h1>Reactivity and toRefs</h1>
    <DemoOne />
    <DemoTwo />

    <!-- Methods -->
    <h1>Methods</h1>
    <MethodsComponent />

    <!-- v-model -->
    <h1>V-model</h1>
    <VModel />

    <!-- computed properties -->
    <h1>Computed properties</h1>
    <ComputedComp />

    <!-- Lifecycle hooks -->
    <h1>Lifecycle Hooks</h1>
    <LifecycleHooks />

    <!-- Template Refs -->
    <h1>Template Refs</h1>
    <TemplateRefs />

    <!-- Props e Custom events-->
    <h1>Props and Custom evenets</h1>
    <PersonComponent />

  </div>
</template>

<script>
import DataComponent from "./components/DataComponent.vue";
import DemoOne from "./components/DemoOne.vue";
import DemoTwo from "./components/DemoTwo.vue";
import MethodsComponent from "./components/MethodsComponent.vue";
import VModel from "./components/vModel.vue";
import ComputedComp from "./components/ComputedComp.vue";
import LifecycleHooks from "./components/LifecycleHooks.vue";
import TemplateRefs from "./components/TemplateRefs.vue";
import PersonComponent from "./components/PersonComponent.vue";

export default {
  name: "App",
  components: {
    DataComponent,
    DemoOne,
    DemoTwo,
    MethodsComponent,
    VModel,
    ComputedComp,
    LifecycleHooks,
    TemplateRefs,
    PersonComponent,
  },
};
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
h1 {
  margin-top: 45px;
  color: red;
}
</style>
